<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class ReproductionController extends AbstractController
{
    #[Route('/reproduction', name: 'app_reproduction')]
    public function index(): Response
    {
        $leftEmoji = '🐶'; // Emoji de gauche
        $rightEmoji = '🐱'; // Emoji de droite
        $childEmoji = 'https://emojik.vercel.app/s/%F0%9F%90%88_%F0%9F%90%95'; // Emoji enfant
        // $childEmoji = '🐱';

        return $this->render('reproduction/index.html.twig', [
            'left_emoji' => $leftEmoji,
            'right_emoji' => $rightEmoji,
            'child_emoji' => $childEmoji
        ]);
    }
}
